# Welcome to your CDK Java project!

Describe the bug

I am unable to retrieve a list of all listeners associated with an Application Load Balancer by ARN using a CDK custom resource. During deployment, CDK generates an error that the assumed role is not authorized to perform the action.

I am able to successfully retrieve the list of listeners using the CLI:

`aws elbv2 describe-listeners --load-balancer-arn="arn:aws:elasticloadbalancing:us-east-1:_account_:loadbalancer/app/sandbox-alb/<alb>"`



I am using a two-step process which involves a custom resource to pull the current value of an SSM parameter containing the ARN of the load balancer and passing the result as a parameter to DescribeListeners.

Expected Behavior

The AwsCustomResource should successfully retrieve the listeners given the specified load balancer arn. The returned value should be equivalent to the output of the aws elbv2 describe-listeners command shown above.
```
{
    "Listeners": [
        {
        "ListenerArn": "arn:aws:elasticloadbalancing:us-east-1:<account>:listener/app/sandbox-alb/<listener>",
        "LoadBalancerArn": "arn:aws:elasticloadbalancing:us-east-1:<account>:loadbalancer/app/sandbox-alb/<alb>",
        "Port": 80,
        "Protocol": "HTTP",
        "DefaultActions": [
            {
            "Type": "fixed-response",
            "FixedResponseConfig": {
            "MessageBody": "{\n  \"status\": 501,\n  \"message\": \"Not implemented\"\n}",
            "StatusCode": "501",
            "ContentType": "application/json"
            }
        }
        ]
        }
    ]
}
```
## Useful commands

 * `mvn package`     compile and run tests
 * `cdk ls`          list all stacks in the app
 * `cdk synth`       emits the synthesized CloudFormation template
 * `cdk deploy`      deploy this stack to your default AWS account/region
 * `cdk diff`        compare deployed stack with current state
 * `cdk docs`        open CDK documentation

Enjoy!
